org.eclipse.microprofile.context.tck.contexts.buffer

## Class Buffer

- java.lang.Object
- - org.eclipse.microprofile.context.tck.contexts.buffer.Buffer

    public class Buffer
    extends Object

This is a fake context type that is created by the test suite. It associates a StringBuffer with the current thread, accessible via the get/set methods of this class.

### Field Summary

Fields
`static String` `CONTEXT_NAME`

### Method Summary

All Methods Static Methods Concrete Methods
`static StringBuffer` `get()`
`static void` `set(StringBuffer buffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONTEXT_NAME

    public static final String CONTEXT_NAME

See Also:
  Constant Field Values

### Method Detail

#### get

    public static StringBuffer get()

#### set

    public static void set(StringBuffer buffer)